summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorMatthias Schiffer <matthias@gamezock.de>2008-09-13 05:12:28 +0200
committerMatthias Schiffer <matthias@gamezock.de>2008-09-13 05:12:28 +0200
commitfd9b1506a3b3858235e91cce45805f6d54caae4f (patch)
tree2b5ebc80ae16f850094df44f27b6e7d1b254a975
parentd710e7dc5e8f3895f5d1aa6bd1db0ef3151af8ca (diff)
downloadmad-fd9b1506a3b3858235e91cce45805f6d54caae4f.tar
mad-fd9b1506a3b3858235e91cce45805f6d54caae4f.zip
configure.ac angepasst, damit nicht alle Binaries mit allen Libs gelinkt werden
-rw-r--r--Makefile.in2
-rwxr-xr-xconfigure79
-rw-r--r--configure.ac9
-rw-r--r--src/Client/Makefile.in2
-rw-r--r--src/Client/Requests/Makefile.in2
-rw-r--r--src/Common/Backends/Makefile.in2
-rw-r--r--src/Common/Makefile.in2
-rw-r--r--src/Common/RequestHandlers/Makefile.in2
-rw-r--r--src/Common/Requests/Makefile.in2
-rw-r--r--src/Core/Makefile.in2
-rw-r--r--src/Core/RequestHandlers/Makefile.in2
-rw-r--r--src/Daemon/Makefile.in2
-rw-r--r--src/Daemon/RequestHandlers/Makefile.in2
-rw-r--r--src/Makefile.am6
-rw-r--r--src/Makefile.in19
-rw-r--r--src/Net/Makefile.in2
-rw-r--r--src/Net/Packets/Makefile.in2
-rw-r--r--src/config.h.in9
18 files changed, 83 insertions, 65 deletions
diff --git a/Makefile.in b/Makefile.in
index 1e55582..37cd478 100644
--- a/Makefile.in
+++ b/Makefile.in
@@ -99,6 +99,7 @@ EXEEXT = @EXEEXT@
F77 = @F77@
FFLAGS = @FFLAGS@
GREP = @GREP@
+GSSAPI_LIBS = @GSSAPI_LIBS@
GnuTLS_CFLAGS = @GnuTLS_CFLAGS@
GnuTLS_LIBS = @GnuTLS_LIBS@
INSTALL = @INSTALL@
@@ -128,6 +129,7 @@ PCRECPP_CFLAGS = @PCRECPP_CFLAGS@
PCRECPP_LIBS = @PCRECPP_LIBS@
PKG_CONFIG = @PKG_CONFIG@
RANLIB = @RANLIB@
+READLINE_LIBS = @READLINE_LIBS@
SED = @SED@
SET_MAKE = @SET_MAKE@
SHELL = @SHELL@
diff --git a/configure b/configure
index d9b8b58..bffc34c 100755
--- a/configure
+++ b/configure
@@ -883,6 +883,8 @@ sigc_CFLAGS
sigc_LIBS
PCRECPP_CFLAGS
PCRECPP_LIBS
+GSSAPI_LIBS
+READLINE_LIBS
LIBOBJS
LTLIBOBJS'
ac_subst_files=''
@@ -5182,7 +5184,7 @@ ia64-*-hpux*)
;;
*-*-irix6*)
# Find out which ABI we are using.
- echo '#line 5185 "configure"' > conftest.$ac_ext
+ echo '#line 5187 "configure"' > conftest.$ac_ext
if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
(eval $ac_compile) 2>&5
ac_status=$?
@@ -7537,11 +7539,11 @@ else
-e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
-e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
-e 's:$: $lt_compiler_flag:'`
- (eval echo "\"\$as_me:7540: $lt_compile\"" >&5)
+ (eval echo "\"\$as_me:7542: $lt_compile\"" >&5)
(eval "$lt_compile" 2>conftest.err)
ac_status=$?
cat conftest.err >&5
- echo "$as_me:7544: \$? = $ac_status" >&5
+ echo "$as_me:7546: \$? = $ac_status" >&5
if (exit $ac_status) && test -s "$ac_outfile"; then
# The compiler can only warn and ignore the option if not recognized
# So say no if there are warnings other than the usual output.
@@ -7827,11 +7829,11 @@ else
-e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
-e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
-e 's:$: $lt_compiler_flag:'`
- (eval echo "\"\$as_me:7830: $lt_compile\"" >&5)
+ (eval echo "\"\$as_me:7832: $lt_compile\"" >&5)
(eval "$lt_compile" 2>conftest.err)
ac_status=$?
cat conftest.err >&5
- echo "$as_me:7834: \$? = $ac_status" >&5
+ echo "$as_me:7836: \$? = $ac_status" >&5
if (exit $ac_status) && test -s "$ac_outfile"; then
# The compiler can only warn and ignore the option if not recognized
# So say no if there are warnings other than the usual output.
@@ -7931,11 +7933,11 @@ else
-e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
-e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
-e 's:$: $lt_compiler_flag:'`
- (eval echo "\"\$as_me:7934: $lt_compile\"" >&5)
+ (eval echo "\"\$as_me:7936: $lt_compile\"" >&5)
(eval "$lt_compile" 2>out/conftest.err)
ac_status=$?
cat out/conftest.err >&5
- echo "$as_me:7938: \$? = $ac_status" >&5
+ echo "$as_me:7940: \$? = $ac_status" >&5
if (exit $ac_status) && test -s out/conftest2.$ac_objext
then
# The compiler can only warn and ignore the option if not recognized
@@ -10308,7 +10310,7 @@ else
lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
lt_status=$lt_dlunknown
cat > conftest.$ac_ext <<EOF
-#line 10311 "configure"
+#line 10313 "configure"
#include "confdefs.h"
#if HAVE_DLFCN_H
@@ -10408,7 +10410,7 @@ else
lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
lt_status=$lt_dlunknown
cat > conftest.$ac_ext <<EOF
-#line 10411 "configure"
+#line 10413 "configure"
#include "confdefs.h"
#if HAVE_DLFCN_H
@@ -12809,11 +12811,11 @@ else
-e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
-e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
-e 's:$: $lt_compiler_flag:'`
- (eval echo "\"\$as_me:12812: $lt_compile\"" >&5)
+ (eval echo "\"\$as_me:12814: $lt_compile\"" >&5)
(eval "$lt_compile" 2>conftest.err)
ac_status=$?
cat conftest.err >&5
- echo "$as_me:12816: \$? = $ac_status" >&5
+ echo "$as_me:12818: \$? = $ac_status" >&5
if (exit $ac_status) && test -s "$ac_outfile"; then
# The compiler can only warn and ignore the option if not recognized
# So say no if there are warnings other than the usual output.
@@ -12913,11 +12915,11 @@ else
-e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
-e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
-e 's:$: $lt_compiler_flag:'`
- (eval echo "\"\$as_me:12916: $lt_compile\"" >&5)
+ (eval echo "\"\$as_me:12918: $lt_compile\"" >&5)
(eval "$lt_compile" 2>out/conftest.err)
ac_status=$?
cat out/conftest.err >&5
- echo "$as_me:12920: \$? = $ac_status" >&5
+ echo "$as_me:12922: \$? = $ac_status" >&5
if (exit $ac_status) && test -s out/conftest2.$ac_objext
then
# The compiler can only warn and ignore the option if not recognized
@@ -14511,11 +14513,11 @@ else
-e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
-e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
-e 's:$: $lt_compiler_flag:'`
- (eval echo "\"\$as_me:14514: $lt_compile\"" >&5)
+ (eval echo "\"\$as_me:14516: $lt_compile\"" >&5)
(eval "$lt_compile" 2>conftest.err)
ac_status=$?
cat conftest.err >&5
- echo "$as_me:14518: \$? = $ac_status" >&5
+ echo "$as_me:14520: \$? = $ac_status" >&5
if (exit $ac_status) && test -s "$ac_outfile"; then
# The compiler can only warn and ignore the option if not recognized
# So say no if there are warnings other than the usual output.
@@ -14615,11 +14617,11 @@ else
-e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
-e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
-e 's:$: $lt_compiler_flag:'`
- (eval echo "\"\$as_me:14618: $lt_compile\"" >&5)
+ (eval echo "\"\$as_me:14620: $lt_compile\"" >&5)
(eval "$lt_compile" 2>out/conftest.err)
ac_status=$?
cat out/conftest.err >&5
- echo "$as_me:14622: \$? = $ac_status" >&5
+ echo "$as_me:14624: \$? = $ac_status" >&5
if (exit $ac_status) && test -s out/conftest2.$ac_objext
then
# The compiler can only warn and ignore the option if not recognized
@@ -16835,11 +16837,11 @@ else
-e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
-e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
-e 's:$: $lt_compiler_flag:'`
- (eval echo "\"\$as_me:16838: $lt_compile\"" >&5)
+ (eval echo "\"\$as_me:16840: $lt_compile\"" >&5)
(eval "$lt_compile" 2>conftest.err)
ac_status=$?
cat conftest.err >&5
- echo "$as_me:16842: \$? = $ac_status" >&5
+ echo "$as_me:16844: \$? = $ac_status" >&5
if (exit $ac_status) && test -s "$ac_outfile"; then
# The compiler can only warn and ignore the option if not recognized
# So say no if there are warnings other than the usual output.
@@ -17125,11 +17127,11 @@ else
-e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
-e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
-e 's:$: $lt_compiler_flag:'`
- (eval echo "\"\$as_me:17128: $lt_compile\"" >&5)
+ (eval echo "\"\$as_me:17130: $lt_compile\"" >&5)
(eval "$lt_compile" 2>conftest.err)
ac_status=$?
cat conftest.err >&5
- echo "$as_me:17132: \$? = $ac_status" >&5
+ echo "$as_me:17134: \$? = $ac_status" >&5
if (exit $ac_status) && test -s "$ac_outfile"; then
# The compiler can only warn and ignore the option if not recognized
# So say no if there are warnings other than the usual output.
@@ -17229,11 +17231,11 @@ else
-e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
-e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
-e 's:$: $lt_compiler_flag:'`
- (eval echo "\"\$as_me:17232: $lt_compile\"" >&5)
+ (eval echo "\"\$as_me:17234: $lt_compile\"" >&5)
(eval "$lt_compile" 2>out/conftest.err)
ac_status=$?
cat out/conftest.err >&5
- echo "$as_me:17236: \$? = $ac_status" >&5
+ echo "$as_me:17238: \$? = $ac_status" >&5
if (exit $ac_status) && test -s out/conftest2.$ac_objext
then
# The compiler can only warn and ignore the option if not recognized
@@ -20268,8 +20270,8 @@ echo "${ECHO_T}yes" >&6; }
fi
CPPFLAGS="$GnuTLS_CFLAGS $sigc_CFLAGS $PCRECPP_CFLAGS $CPPFLAGS"
-LIBS="$GnuTLS_LIBS $sigc_LIBS $PCRECPP_LIBS $LIBS"
+ORIG_LIBS=$LIBS
{ echo "$as_me:$LINENO: checking for gss_init_sec_context in -lgssapi_krb5" >&5
echo $ECHO_N "checking for gss_init_sec_context in -lgssapi_krb5... $ECHO_C" >&6; }
@@ -20333,15 +20335,10 @@ fi
{ echo "$as_me:$LINENO: result: $ac_cv_lib_gssapi_krb5_gss_init_sec_context" >&5
echo "${ECHO_T}$ac_cv_lib_gssapi_krb5_gss_init_sec_context" >&6; }
if test $ac_cv_lib_gssapi_krb5_gss_init_sec_context = yes; then
- cat >>confdefs.h <<_ACEOF
-#define HAVE_LIBGSSAPI_KRB5 1
-_ACEOF
-
- LIBS="-lgssapi_krb5 $LIBS"
+ GSSAPI_LIBS=-lgssapi_krb5
else
-
-{ echo "$as_me:$LINENO: checking for gss_init_sec_context in -lgssapi" >&5
+ { echo "$as_me:$LINENO: checking for gss_init_sec_context in -lgssapi" >&5
echo $ECHO_N "checking for gss_init_sec_context in -lgssapi... $ECHO_C" >&6; }
if test "${ac_cv_lib_gssapi_gss_init_sec_context+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -20403,12 +20400,7 @@ fi
{ echo "$as_me:$LINENO: result: $ac_cv_lib_gssapi_gss_init_sec_context" >&5
echo "${ECHO_T}$ac_cv_lib_gssapi_gss_init_sec_context" >&6; }
if test $ac_cv_lib_gssapi_gss_init_sec_context = yes; then
- cat >>confdefs.h <<_ACEOF
-#define HAVE_LIBGSSAPI 1
-_ACEOF
-
- LIBS="-lgssapi $LIBS"
-
+ GSSAPI_LIBS=-lgssapi
else
{ { echo "$as_me:$LINENO: error: Test for GSSAPI library failed." >&5
echo "$as_me: error: Test for GSSAPI library failed." >&2;}
@@ -20417,7 +20409,6 @@ fi
fi
-
{ echo "$as_me:$LINENO: checking for readline in -lreadline" >&5
echo $ECHO_N "checking for readline in -lreadline... $ECHO_C" >&6; }
if test "${ac_cv_lib_readline_readline+set}" = set; then
@@ -20480,11 +20471,7 @@ fi
{ echo "$as_me:$LINENO: result: $ac_cv_lib_readline_readline" >&5
echo "${ECHO_T}$ac_cv_lib_readline_readline" >&6; }
if test $ac_cv_lib_readline_readline = yes; then
- cat >>confdefs.h <<_ACEOF
-#define HAVE_LIBREADLINE 1
-_ACEOF
-
- LIBS="-lreadline $LIBS"
+ READLINE_LIBS=-lreadline
else
{ { echo "$as_me:$LINENO: error: Test for GNU readline library failed." >&5
@@ -20493,6 +20480,8 @@ echo "$as_me: error: Test for GNU readline library failed." >&2;}
fi
+LIBS=$ORIG_LIBS
+
# Checks for header files.
@@ -22916,11 +22905,13 @@ sigc_CFLAGS!$sigc_CFLAGS$ac_delim
sigc_LIBS!$sigc_LIBS$ac_delim
PCRECPP_CFLAGS!$PCRECPP_CFLAGS$ac_delim
PCRECPP_LIBS!$PCRECPP_LIBS$ac_delim
+GSSAPI_LIBS!$GSSAPI_LIBS$ac_delim
+READLINE_LIBS!$READLINE_LIBS$ac_delim
LIBOBJS!$LIBOBJS$ac_delim
LTLIBOBJS!$LTLIBOBJS$ac_delim
_ACEOF
- if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 19; then
+ if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 21; then
break
elif $ac_last_try; then
{ { echo "$as_me:$LINENO: error: could not make $CONFIG_STATUS" >&5
diff --git a/configure.ac b/configure.ac
index 6de70fc..cde033f 100644
--- a/configure.ac
+++ b/configure.ac
@@ -25,10 +25,13 @@ PKG_CHECK_MODULES(sigc, sigc++-2.0, , AC_MSG_ERROR(Test for SigC++ 2.0 failed.))
PKG_CHECK_MODULES(PCRECPP, libpcrecpp, , AC_MSG_ERROR(Test for PCRECPP failed.))
CPPFLAGS="$GnuTLS_CFLAGS $sigc_CFLAGS $PCRECPP_CFLAGS $CPPFLAGS"
-LIBS="$GnuTLS_LIBS $sigc_LIBS $PCRECPP_LIBS $LIBS"
-AC_CHECK_LIB(gssapi_krb5, gss_init_sec_context, , AC_CHECK_LIB(gssapi, gss_init_sec_context, , AC_MSG_ERROR(Test for GSSAPI library failed.)))
-AC_CHECK_LIB(readline, readline, , AC_MSG_ERROR(Test for GNU readline library failed.))
+ORIG_LIBS=$LIBS
+
+AC_CHECK_LIB(gssapi_krb5, gss_init_sec_context, AC_SUBST(GSSAPI_LIBS, -lgssapi_krb5), AC_CHECK_LIB(gssapi, gss_init_sec_context, GSSAPI_LIBS=-lgssapi, AC_MSG_ERROR(Test for GSSAPI library failed.)))
+AC_CHECK_LIB(readline, readline, AC_SUBST(READLINE_LIBS, -lreadline), AC_MSG_ERROR(Test for GNU readline library failed.))
+
+LIBS=$ORIG_LIBS
# Checks for header files.
AC_CHECK_HEADERS([arpa/inet.h fcntl.h netinet/in.h stdint.h sys/socket.h unistd.h])
diff --git a/src/Client/Makefile.in b/src/Client/Makefile.in
index 3d9d14c..9985b71 100644
--- a/src/Client/Makefile.in
+++ b/src/Client/Makefile.in
@@ -104,6 +104,7 @@ EXEEXT = @EXEEXT@
F77 = @F77@
FFLAGS = @FFLAGS@
GREP = @GREP@
+GSSAPI_LIBS = @GSSAPI_LIBS@
GnuTLS_CFLAGS = @GnuTLS_CFLAGS@
GnuTLS_LIBS = @GnuTLS_LIBS@
INSTALL = @INSTALL@
@@ -133,6 +134,7 @@ PCRECPP_CFLAGS = @PCRECPP_CFLAGS@
PCRECPP_LIBS = @PCRECPP_LIBS@
PKG_CONFIG = @PKG_CONFIG@
RANLIB = @RANLIB@
+READLINE_LIBS = @READLINE_LIBS@
SED = @SED@
SET_MAKE = @SET_MAKE@
SHELL = @SHELL@
diff --git a/src/Client/Requests/Makefile.in b/src/Client/Requests/Makefile.in
index b257084..174e64f 100644
--- a/src/Client/Requests/Makefile.in
+++ b/src/Client/Requests/Makefile.in
@@ -94,6 +94,7 @@ EXEEXT = @EXEEXT@
F77 = @F77@
FFLAGS = @FFLAGS@
GREP = @GREP@
+GSSAPI_LIBS = @GSSAPI_LIBS@
GnuTLS_CFLAGS = @GnuTLS_CFLAGS@
GnuTLS_LIBS = @GnuTLS_LIBS@
INSTALL = @INSTALL@
@@ -123,6 +124,7 @@ PCRECPP_CFLAGS = @PCRECPP_CFLAGS@
PCRECPP_LIBS = @PCRECPP_LIBS@
PKG_CONFIG = @PKG_CONFIG@
RANLIB = @RANLIB@
+READLINE_LIBS = @READLINE_LIBS@
SED = @SED@
SET_MAKE = @SET_MAKE@
SHELL = @SHELL@
diff --git a/src/Common/Backends/Makefile.in b/src/Common/Backends/Makefile.in
index 3538513..aef54c6 100644
--- a/src/Common/Backends/Makefile.in
+++ b/src/Common/Backends/Makefile.in
@@ -94,6 +94,7 @@ EXEEXT = @EXEEXT@
F77 = @F77@
FFLAGS = @FFLAGS@
GREP = @GREP@
+GSSAPI_LIBS = @GSSAPI_LIBS@
GnuTLS_CFLAGS = @GnuTLS_CFLAGS@
GnuTLS_LIBS = @GnuTLS_LIBS@
INSTALL = @INSTALL@
@@ -123,6 +124,7 @@ PCRECPP_CFLAGS = @PCRECPP_CFLAGS@
PCRECPP_LIBS = @PCRECPP_LIBS@
PKG_CONFIG = @PKG_CONFIG@
RANLIB = @RANLIB@
+READLINE_LIBS = @READLINE_LIBS@
SED = @SED@
SET_MAKE = @SET_MAKE@
SHELL = @SHELL@
diff --git a/src/Common/Makefile.in b/src/Common/Makefile.in
index af266fe..66992ea 100644
--- a/src/Common/Makefile.in
+++ b/src/Common/Makefile.in
@@ -106,6 +106,7 @@ EXEEXT = @EXEEXT@
F77 = @F77@
FFLAGS = @FFLAGS@
GREP = @GREP@
+GSSAPI_LIBS = @GSSAPI_LIBS@
GnuTLS_CFLAGS = @GnuTLS_CFLAGS@
GnuTLS_LIBS = @GnuTLS_LIBS@
INSTALL = @INSTALL@
@@ -135,6 +136,7 @@ PCRECPP_CFLAGS = @PCRECPP_CFLAGS@
PCRECPP_LIBS = @PCRECPP_LIBS@
PKG_CONFIG = @PKG_CONFIG@
RANLIB = @RANLIB@
+READLINE_LIBS = @READLINE_LIBS@
SED = @SED@
SET_MAKE = @SET_MAKE@
SHELL = @SHELL@
diff --git a/src/Common/RequestHandlers/Makefile.in b/src/Common/RequestHandlers/Makefile.in
index 79edc8d..f149d99 100644
--- a/src/Common/RequestHandlers/Makefile.in
+++ b/src/Common/RequestHandlers/Makefile.in
@@ -95,6 +95,7 @@ EXEEXT = @EXEEXT@
F77 = @F77@
FFLAGS = @FFLAGS@
GREP = @GREP@
+GSSAPI_LIBS = @GSSAPI_LIBS@
GnuTLS_CFLAGS = @GnuTLS_CFLAGS@
GnuTLS_LIBS = @GnuTLS_LIBS@
INSTALL = @INSTALL@
@@ -124,6 +125,7 @@ PCRECPP_CFLAGS = @PCRECPP_CFLAGS@
PCRECPP_LIBS = @PCRECPP_LIBS@
PKG_CONFIG = @PKG_CONFIG@
RANLIB = @RANLIB@
+READLINE_LIBS = @READLINE_LIBS@
SED = @SED@
SET_MAKE = @SET_MAKE@
SHELL = @SHELL@
diff --git a/src/Common/Requests/Makefile.in b/src/Common/Requests/Makefile.in
index fc9d079..d3c4783 100644
--- a/src/Common/Requests/Makefile.in
+++ b/src/Common/Requests/Makefile.in
@@ -95,6 +95,7 @@ EXEEXT = @EXEEXT@
F77 = @F77@
FFLAGS = @FFLAGS@
GREP = @GREP@
+GSSAPI_LIBS = @GSSAPI_LIBS@
GnuTLS_CFLAGS = @GnuTLS_CFLAGS@
GnuTLS_LIBS = @GnuTLS_LIBS@
INSTALL = @INSTALL@
@@ -124,6 +125,7 @@ PCRECPP_CFLAGS = @PCRECPP_CFLAGS@
PCRECPP_LIBS = @PCRECPP_LIBS@
PKG_CONFIG = @PKG_CONFIG@
RANLIB = @RANLIB@
+READLINE_LIBS = @READLINE_LIBS@
SED = @SED@
SET_MAKE = @SET_MAKE@
SHELL = @SHELL@
diff --git a/src/Core/Makefile.in b/src/Core/Makefile.in
index 9531b06..be0493b 100644
--- a/src/Core/Makefile.in
+++ b/src/Core/Makefile.in
@@ -104,6 +104,7 @@ EXEEXT = @EXEEXT@
F77 = @F77@
FFLAGS = @FFLAGS@
GREP = @GREP@
+GSSAPI_LIBS = @GSSAPI_LIBS@
GnuTLS_CFLAGS = @GnuTLS_CFLAGS@
GnuTLS_LIBS = @GnuTLS_LIBS@
INSTALL = @INSTALL@
@@ -133,6 +134,7 @@ PCRECPP_CFLAGS = @PCRECPP_CFLAGS@
PCRECPP_LIBS = @PCRECPP_LIBS@
PKG_CONFIG = @PKG_CONFIG@
RANLIB = @RANLIB@
+READLINE_LIBS = @READLINE_LIBS@
SED = @SED@
SET_MAKE = @SET_MAKE@
SHELL = @SHELL@
diff --git a/src/Core/RequestHandlers/Makefile.in b/src/Core/RequestHandlers/Makefile.in
index c6a8848..9147203 100644
--- a/src/Core/RequestHandlers/Makefile.in
+++ b/src/Core/RequestHandlers/Makefile.in
@@ -95,6 +95,7 @@ EXEEXT = @EXEEXT@
F77 = @F77@
FFLAGS = @FFLAGS@
GREP = @GREP@
+GSSAPI_LIBS = @GSSAPI_LIBS@
GnuTLS_CFLAGS = @GnuTLS_CFLAGS@
GnuTLS_LIBS = @GnuTLS_LIBS@
INSTALL = @INSTALL@
@@ -124,6 +125,7 @@ PCRECPP_CFLAGS = @PCRECPP_CFLAGS@
PCRECPP_LIBS = @PCRECPP_LIBS@
PKG_CONFIG = @PKG_CONFIG@
RANLIB = @RANLIB@
+READLINE_LIBS = @READLINE_LIBS@
SED = @SED@
SET_MAKE = @SET_MAKE@
SHELL = @SHELL@
diff --git a/src/Daemon/Makefile.in b/src/Daemon/Makefile.in
index a299a0a..2dad88e 100644
--- a/src/Daemon/Makefile.in
+++ b/src/Daemon/Makefile.in
@@ -102,6 +102,7 @@ EXEEXT = @EXEEXT@
F77 = @F77@
FFLAGS = @FFLAGS@
GREP = @GREP@
+GSSAPI_LIBS = @GSSAPI_LIBS@
GnuTLS_CFLAGS = @GnuTLS_CFLAGS@
GnuTLS_LIBS = @GnuTLS_LIBS@
INSTALL = @INSTALL@
@@ -131,6 +132,7 @@ PCRECPP_CFLAGS = @PCRECPP_CFLAGS@
PCRECPP_LIBS = @PCRECPP_LIBS@
PKG_CONFIG = @PKG_CONFIG@
RANLIB = @RANLIB@
+READLINE_LIBS = @READLINE_LIBS@
SED = @SED@
SET_MAKE = @SET_MAKE@
SHELL = @SHELL@
diff --git a/src/Daemon/RequestHandlers/Makefile.in b/src/Daemon/RequestHandlers/Makefile.in
index 5c64103..ebd6a19 100644
--- a/src/Daemon/RequestHandlers/Makefile.in
+++ b/src/Daemon/RequestHandlers/Makefile.in
@@ -90,6 +90,7 @@ EXEEXT = @EXEEXT@
F77 = @F77@
FFLAGS = @FFLAGS@
GREP = @GREP@
+GSSAPI_LIBS = @GSSAPI_LIBS@
GnuTLS_CFLAGS = @GnuTLS_CFLAGS@
GnuTLS_LIBS = @GnuTLS_LIBS@
INSTALL = @INSTALL@
@@ -119,6 +120,7 @@ PCRECPP_CFLAGS = @PCRECPP_CFLAGS@
PCRECPP_LIBS = @PCRECPP_LIBS@
PKG_CONFIG = @PKG_CONFIG@
RANLIB = @RANLIB@
+READLINE_LIBS = @READLINE_LIBS@
SED = @SED@
SET_MAKE = @SET_MAKE@
SHELL = @SHELL@
diff --git a/src/Makefile.am b/src/Makefile.am
index 95e8d37..85cf9fe 100644
--- a/src/Makefile.am
+++ b/src/Makefile.am
@@ -3,10 +3,10 @@ SUBDIRS = Common Client Core Daemon Net
bin_PROGRAMS = mad madc mad-core
mad_SOURCES = mad.cpp
-mad_LDADD = Daemon/libdaemon.la Net/libnet.la Common/libcommon.la
+mad_LDADD = Daemon/libdaemon.la Net/libnet.la Common/libcommon.la $(sigc_LIBS) $(GnuTLS_LIBS)
madc_SOURCES = madc.cpp
-madc_LDADD = Client/libclient.la Net/libnet.la Common/libcommon.la
+madc_LDADD = Client/libclient.la Net/libnet.la Common/libcommon.la $(sigc_LIBS) $(GnuTLS_LIBS) $(READLINE_LIBS)
mad_core_SOURCES = mad-core.cpp
-mad_core_LDADD = Core/libcore.la Net/libnet.la Common/libcommon.la
+mad_core_LDADD = Core/libcore.la Net/libnet.la Common/libcommon.la $(sigc_LIBS) $(GnuTLS_LIBS) $(PCRECPP_LIBS) $(GSSAPI_LIBS)
diff --git a/src/Makefile.in b/src/Makefile.in
index 80eb776..687b889 100644
--- a/src/Makefile.in
+++ b/src/Makefile.in
@@ -48,16 +48,21 @@ binPROGRAMS_INSTALL = $(INSTALL_PROGRAM)
PROGRAMS = $(bin_PROGRAMS)
am_mad_OBJECTS = mad.$(OBJEXT)
mad_OBJECTS = $(am_mad_OBJECTS)
+am__DEPENDENCIES_1 =
mad_DEPENDENCIES = Daemon/libdaemon.la Net/libnet.la \
- Common/libcommon.la
+ Common/libcommon.la $(am__DEPENDENCIES_1) \
+ $(am__DEPENDENCIES_1)
am_mad_core_OBJECTS = mad-core.$(OBJEXT)
mad_core_OBJECTS = $(am_mad_core_OBJECTS)
mad_core_DEPENDENCIES = Core/libcore.la Net/libnet.la \
- Common/libcommon.la
+ Common/libcommon.la $(am__DEPENDENCIES_1) \
+ $(am__DEPENDENCIES_1) $(am__DEPENDENCIES_1) \
+ $(am__DEPENDENCIES_1)
am_madc_OBJECTS = madc.$(OBJEXT)
madc_OBJECTS = $(am_madc_OBJECTS)
madc_DEPENDENCIES = Client/libclient.la Net/libnet.la \
- Common/libcommon.la
+ Common/libcommon.la $(am__DEPENDENCIES_1) \
+ $(am__DEPENDENCIES_1) $(am__DEPENDENCIES_1)
DEFAULT_INCLUDES = -I.@am__isrc@
depcomp = $(SHELL) $(top_srcdir)/depcomp
am__depfiles_maybe = depfiles
@@ -114,6 +119,7 @@ EXEEXT = @EXEEXT@
F77 = @F77@
FFLAGS = @FFLAGS@
GREP = @GREP@
+GSSAPI_LIBS = @GSSAPI_LIBS@
GnuTLS_CFLAGS = @GnuTLS_CFLAGS@
GnuTLS_LIBS = @GnuTLS_LIBS@
INSTALL = @INSTALL@
@@ -143,6 +149,7 @@ PCRECPP_CFLAGS = @PCRECPP_CFLAGS@
PCRECPP_LIBS = @PCRECPP_LIBS@
PKG_CONFIG = @PKG_CONFIG@
RANLIB = @RANLIB@
+READLINE_LIBS = @READLINE_LIBS@
SED = @SED@
SET_MAKE = @SET_MAKE@
SHELL = @SHELL@
@@ -203,11 +210,11 @@ top_builddir = @top_builddir@
top_srcdir = @top_srcdir@
SUBDIRS = Common Client Core Daemon Net
mad_SOURCES = mad.cpp
-mad_LDADD = Daemon/libdaemon.la Net/libnet.la Common/libcommon.la
+mad_LDADD = Daemon/libdaemon.la Net/libnet.la Common/libcommon.la $(sigc_LIBS) $(GnuTLS_LIBS)
madc_SOURCES = madc.cpp
-madc_LDADD = Client/libclient.la Net/libnet.la Common/libcommon.la
+madc_LDADD = Client/libclient.la Net/libnet.la Common/libcommon.la $(sigc_LIBS) $(GnuTLS_LIBS) $(READLINE_LIBS)
mad_core_SOURCES = mad-core.cpp
-mad_core_LDADD = Core/libcore.la Net/libnet.la Common/libcommon.la
+mad_core_LDADD = Core/libcore.la Net/libnet.la Common/libcommon.la $(sigc_LIBS) $(GnuTLS_LIBS) $(PCRECPP_LIBS) $(GSSAPI_LIBS)
all: config.h
$(MAKE) $(AM_MAKEFLAGS) all-recursive
diff --git a/src/Net/Makefile.in b/src/Net/Makefile.in
index 163ca89..ffb7583 100644
--- a/src/Net/Makefile.in
+++ b/src/Net/Makefile.in
@@ -105,6 +105,7 @@ EXEEXT = @EXEEXT@
F77 = @F77@
FFLAGS = @FFLAGS@
GREP = @GREP@
+GSSAPI_LIBS = @GSSAPI_LIBS@
GnuTLS_CFLAGS = @GnuTLS_CFLAGS@
GnuTLS_LIBS = @GnuTLS_LIBS@
INSTALL = @INSTALL@
@@ -134,6 +135,7 @@ PCRECPP_CFLAGS = @PCRECPP_CFLAGS@
PCRECPP_LIBS = @PCRECPP_LIBS@
PKG_CONFIG = @PKG_CONFIG@
RANLIB = @RANLIB@
+READLINE_LIBS = @READLINE_LIBS@
SED = @SED@
SET_MAKE = @SET_MAKE@
SHELL = @SHELL@
diff --git a/src/Net/Packets/Makefile.in b/src/Net/Packets/Makefile.in
index 702ec45..b6a7338 100644
--- a/src/Net/Packets/Makefile.in
+++ b/src/Net/Packets/Makefile.in
@@ -94,6 +94,7 @@ EXEEXT = @EXEEXT@
F77 = @F77@
FFLAGS = @FFLAGS@
GREP = @GREP@
+GSSAPI_LIBS = @GSSAPI_LIBS@
GnuTLS_CFLAGS = @GnuTLS_CFLAGS@
GnuTLS_LIBS = @GnuTLS_LIBS@
INSTALL = @INSTALL@
@@ -123,6 +124,7 @@ PCRECPP_CFLAGS = @PCRECPP_CFLAGS@
PCRECPP_LIBS = @PCRECPP_LIBS@
PKG_CONFIG = @PKG_CONFIG@
RANLIB = @RANLIB@
+READLINE_LIBS = @READLINE_LIBS@
SED = @SED@
SET_MAKE = @SET_MAKE@
SHELL = @SHELL@
diff --git a/src/config.h.in b/src/config.h.in
index 9af3010..c2b6b56 100644
--- a/src/config.h.in
+++ b/src/config.h.in
@@ -12,15 +12,6 @@
/* Define to 1 if you have the <inttypes.h> header file. */
#undef HAVE_INTTYPES_H
-/* Define to 1 if you have the `gssapi' library (-lgssapi). */
-#undef HAVE_LIBGSSAPI
-
-/* Define to 1 if you have the `gssapi_krb5' library (-lgssapi_krb5). */
-#undef HAVE_LIBGSSAPI_KRB5
-
-/* Define to 1 if you have the `readline' library (-lreadline). */
-#undef HAVE_LIBREADLINE
-
/* Define to 1 if your system has a GNU libc compatible `malloc' function, and
to 0 otherwise. */
#undef HAVE_MALLOC